<?php
/**
 * The sidebar containing the main widget area.
 *
 * If no active widgets in sidebar, let's hide it completely.
 * Boot Store theme is based on Twentytwelve theme. The official WordPress theme.
 *
 * @package WordPress
 * @subpackage Boot Store
 * @since Boot Store 1.0
 */
?>
<div id="secondary" class="widget-area span3" role="complementary">

<?php if ( function_exists( 'bp_is_active' ) && bp_is_active( 'xprofile' ) ) : ?>

	<?php $current_user = wp_get_current_user();
	if ( bp_has_members( array( 'user_id' => $current_user->ID ) ) ) : bp_the_member(); ?>

		<div class="author-meta-data">
			<p class="author-name"><?php bp_member_name(); ?><br/>
			</p>

			<ul id="members-list" class="item-list" role="main">
				<?php bp_displayed_user_avatar( 'type=full' ); ?>
				
				<li>
					<div class="item-meta"><span class="activity"><?php bp_member_last_active(); ?></span></div>
				</li>

				<li>
					<div class="item-avatar">
						<a href="<?php bp_member_permalink(); ?>"><?php bp_member_avatar(); ?></a>
					</div>

					<div class="item">
						<div class="item-title">

							<?php if ( bp_get_member_latest_update() ) : ?>

								<span class="update"> <?php bp_member_latest_update(); ?></span>

							<?php endif; ?>

						</div>


						<?php do_action( 'bp_directory_members_item' ); ?>

						<?php
						 /***
						  * If you want to show specific profile fields here you can,
						  * but it'll add an extra query for each member in the loop
						  * (only one regardless of the number of fields you show):
						  *
						  * bp_member_profile_data( 'field=the field name' );
						  */
						?>
					</div>

					<div class="action">

						<?php do_action( 'bp_directory_members_actions' ); ?>

					</div>

					<div class="clear"></div>
				</li>

			</ul>
		</div>

		<?php if ( bp_has_profile() ) : ?>
			<?php while ( bp_profile_groups() ) : bp_the_profile_group(); ?>
			<ul id="profile-groups">
				<?php if ( bp_profile_group_has_fields() ) : ?>
				<li>
				<?php bp_the_profile_group_name() ?>
				<ul id="profile-group-fields">
				<?php while ( bp_profile_fields() ) : bp_the_profile_field(); ?>

					<?php if ( bp_field_has_data() ) : ?>
					<li>
						<?php bp_the_profile_field_name() ?>
						<?php bp_the_profile_field_value() ?>
					</li>
					<?php endif; ?>

				<?php endwhile; ?>
				</ul>
				<li>
				<?php endif; ?>
			</ul>
			<?php endwhile; ?>
		<?php else: ?>
		<div id="message" class="info">
			<p>This user does not have a profile.</p>
		</div>
		<?php endif;?>

	<?php endif; //bp_has_members ?>

<?php else: ?>

	<div class="author-meta-data">
		<?php tcp_author_profile(); ?>
	</div>

<?php endif; ?>

<?php if ( is_active_sidebar( 'sidebar-author' ) ) : ?>

	<?php dynamic_sidebar( 'sidebar-author' ); ?>

<?php endif; ?>

</div><!-- #secondary -->
